require 'ttrl/releaser'

base = File.dirname( File.expand_path( __FILE__ ) )


## -- exe -----
puts( "== exe ====================" )
releaser = TTRL::Releaser.new( 'toxyzzy', base )

[
'Release/toxyzzy.exe',
'toxyzzy.l',
].each {|file|
  releaser.add_file( file )
}

releaser.make_zip( 'web', nil )


## -- source -----
puts( "== source ====================" )
releaser = TTRL::Releaser.new( 'toxyzzy', base )

[
'toxyzzy.bdp',
'toxyzzy.cpp',
'toxyzzy.l',
'make_release.rb'
].each {|file|
  releaser.add_file( file )
}

[
'ttl',
].each {|dir|
  releaser.add_dir( dir )
}

releaser.make_zip( 'web', '_src' )

